5.2.0-git
04/18/2014

[#8497] Re-order virtual inbox and virtual trash
Summary Re-order virtual inbox and virtual trash
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 08/14/2009 (1708 days ago)
Due
Updated 01/30/2012 (809 days ago)
Assigned
Resolved
Milestone
Patch No

History
01/30/2012 07:55:35 AM Michael Slusarz Comment #5 Reply to this comment
Inserting into correct Ticket:

Changes have been made in Git (refs/heads/develop):

commit 88f7e2b8bcff65b0346cdb7d0f61de57d37487a6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jan 30 00:26:05 2012 -0700

      Move AJAX mailbox response generation entirely within IMP_Imap_Tree

      Precursor to implementing Ticket #8497

   imp/js/dimpbase.js           |    2 +-
   imp/lib/Ajax/Application.php |   51 ++++++---------------
   imp/lib/Ajax/Queue.php       |    4 +-
   imp/lib/Imap/Tree.php        |  103
++++++++++++++++++++++--------------------
   imp/lib/Mailbox.php          |    1 -
   5 files changed, 72 insertions(+), 89 deletions(-)

http://git.horde.org/horde-git/-/commit/88f7e2b8bcff65b0346cdb7d0f61de57d37487a6
12/06/2011 06:15:12 AM Michael Slusarz Comment #4
Milestone ⇒
Assigned to Michael Slusarz
Reply to this comment
It looks like this request will be sponsored for development, so I am 
going to claim for now.

But this isn't a necessity for 5.1, so removing milestone.
01/27/2011 04:24:47 PM Michael Rubinsky Comment #3
Milestone ⇒ 5.1
Reply to this comment
Not a showstopper.
08/14/2009 08:56:32 PM Jan Schneider Comment #2 Reply to this comment
How about moving all special folders, at least trash and drafts below 
the Inbox, like we do in DIMP already?

I'm not so sure about the sent mail folder because these could be 
many, one for each identity.
08/14/2009 08:54:55 PM Jan Schneider Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒ 5
Queue ⇒ IMP
Summary ⇒ Re-order virtual inbox and virtual trash
Type ⇒ Enhancement
Priority ⇒ 2. Medium
Reply to this comment
Rename Virtual Inbox to "Unread Messages" and move it below the Inbox 
in the folder tree. Rename Virtual Trash to Trash and move it in its 
alphabetical place in the folder tree.